FreeMat

- Main Page
- Related Pages

vtkOrientedPolygonalHandleRepresentation3D

Section: Visualization Toolkit Widget Classes

# Usage

This class serves as the geometrical representation of a vtkHandleWidget. The handle can be represented by an arbitrary polygonal data (vtkPolyData), set via SetHandle(vtkPolyData *). The actual position of the handle will be initially assumed to be (0,0,0). You can specify an offset from this position if desired. This class differs from vtkPolygonalHandleRepresentation3D in that the handle will always remain front facing, ie it maintains a fixed orientation with respect to the camera. This is done by using vtkFollowers internally to render the actors.

To create an instance of class vtkOrientedPolygonalHandleRepresentation3D, simply invoke its constructor as follows

      obj = vtkOrientedPolygonalHandleRepresentation3D

# Methods

The class vtkOrientedPolygonalHandleRepresentation3D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOrientedPolygonalHandleRepresentation3D class.

- `string = obj.GetClassName ()` - Standard methods for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for instances of this class.
- `vtkOrientedPolygonalHandleRepresentation3D = obj.NewInstance ()` - Standard methods for instances of this class.
- `vtkOrientedPolygonalHandleRepresentation3D = obj.SafeDownCast (vtkObject o)` - Standard methods for instances of this class.